FLICONV-API FLAM Character Conversion Interface

Macros | Typedefs
Miscellaneous stuff

## Macros
#define | FLICONV_LISTBYTES 8192
| Internal buffer sizes for listings. More...

## Typedefs
typedef int() | TfDoOneList(unsigned int namescount, const char *const *names, void *data)
| Typedef of function pointer for do_one call back function. More...

## Detailed Description

## Macro Definition Documentation

## ◆ FLICONV_LISTBYTES

#define FLICONV_LISTBYTES 8192

Internal buffer sizes for listings.

Use this value to allocate the data buffer written to by the default formatting function.

Example for C:

    char data[FLICONV_LISTBYTES]
    fliconv_list(NULL,data)

## Typedef Documentation

## ◆ TfDoOneList

typedef int() TfDoOneList(unsigned int namescount, const char *const *names, void *data)

Typedef of function pointer for do_one call back function.

A call back function that is used in function fliconv_list() to format the output of the supported CCSIDs, CHARSETs and encoding strings.

Parameters

  [in] | namescount | 3 + amount of aliases for this CCSID
  [in] | names | array of pointer to the CCSID, CHARSET, encoding string and it's aliases
  [in,out] | data | pointer to the data buffer (handle for the call back function)

Returns
  return 0 if success anything else for an error